ShingleMatrixFilter.Matrix.Column (Lucene 3.6.2 API)
Keywords: org.apache.lucene.analysis.shingle.ShingleMatrixFilter.Matrix.Column class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.shingle
Class ShingleMatrixFilter.Matrix.Column

    java.lang.Object
      org.apache.lucene.analysis.shingle.ShingleMatrixFilter.Matrix.Column

Enclosing class:
  ShingleMatrixFilter.Matrix

    public class ShingleMatrixFilter.Matrix.Column

extends Object

Nested Class Summary
`class` | `ShingleMatrixFilter.Matrix.Column.Row`

Constructor Summary
`ShingleMatrixFilter.Matrix.Column()`
`ShingleMatrixFilter.Matrix.Column(Token token)`

Method Summary
`int` | `getIndex()`
`ShingleMatrixFilter.Matrix` | `getMatrix()`
`List<ShingleMatrixFilter.Matrix.Column.Row>` | `getRows()`
`boolean` | `isFirst()`
`boolean` | `isLast()`
`void` | `setFirst(boolean first)`
`void` | `setLast(boolean last)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShingleMatrixFilter.Matrix.Column

    public ShingleMatrixFilter.Matrix.Column(Token token)

### ShingleMatrixFilter.Matrix.Column

    public ShingleMatrixFilter.Matrix.Column()

Method Detail

### getMatrix

    public ShingleMatrixFilter.Matrix getMatrix()

### getRows

    public List<ShingleMatrixFilter.Matrix.Column.Row> getRows()

### getIndex

    public int getIndex()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### isFirst

    public boolean isFirst()

### setFirst

    public void setFirst(boolean first)

### setLast

    public void setLast(boolean last)

### isLast

    public boolean isLast()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD